#!/usr/bin/perl
# File: order.cgi

use CGI qw(:standard);

@sizevalues = ( 's', 'm', 'l' );
%sizelabels = ( 's'=>'Small',
                'm'=>'Medium',
                'l'=>'Large' );

@crustvalues = ( 'ht', 'thin', 'tk' );
%crustlabels = ( 'ht'=>'Hand Tossed',
                 'thin'=>'Thin',
                 'tk'=>'Thick' );

@veggievalues = ( 'on','bol','gol','tom','mu' );
%veggielabels = ( 'on'=>'Onion',
                  'bol'=>'Black Olive',
                  'gol'=>'Green Olive',
                  'tom'=>'Tomatoes',
                  'mu'=>'Mushrooms' );

@meatvalues = ( 'pp','sau','ham','brg' );
%meatlabels = ( 'pp'=>'Pepperoni',
                'sau'=>'Sausage',
                'ham'=>'Ham',
                'brg'=>'Hamburger' );

# Send cookies to client for next order
$custname = param('custname');
$custaddr = param('custaddr');
$custphone = param('custphone');

if ($custname && $custaddr && $custphone) {
   $c1 = cookie(-NAME=>'custname', -VALUE=>$custname, -EXPIRES=>'+1y');
   $c2 = cookie(-NAME=>'custaddr', -VALUE=>$custaddr, -EXPIRES=>'+1y');
   $c3 = cookie(-NAME=>'custphone', -VALUE=>$custphone, -EXPIRES=>'+1y');

   print header(-COOKIE=> [$c1, $c2, $c3 ]);
}
else {
   print header();
}
print start_html(-TITLE=>'Domoniques Pizza');

$id = param('id');
print "Id: ", $id, br;
if (!$id) {
   print "NO ID - CAN'T ORDER!";
   exit;
}

print h1( {-align=>'center'}, 
          font ( {-color=>'red'}, "Domoniques Pizza Order Form") );

print start_form( -METHOD=>'POST' );
print hidden(-NAME=>'id', -VALUE=>$id);

print 'Size:', 
radio_group(-NAME => 'size',
            -VALUE => \@sizevalues,
            -LABELS => \%sizelabels );
print p;
print 'Crust Style:';
print popup_menu(-NAME=>'crust',
                 -VALUES => \@crustvalues,
                 -LABELS => \%crustlabels );

print p;
print checkbox(-NAME=>'cc', -LABEL=>'Cheesy Crust');

print p;
print 'Veggies:';
print scrolling_list(-NAME=>'veg',
                     -VALUES => \@veggievalues,
                     -LABELS => \%veggielabels,
                     -MULTIPLE=>1,
                     -SIZE=>3 );

# Please feel free to add more meats
print p;
print 'Meats:';
print checkbox_group(-NAME=>'meats',
                     -VALUES => \@meatvalues,
                     -LABELS => \%meatlabels,
                     -DEFAULT=>'pp');

print p, 'Comment:',textarea( -NAME=>'comment', -ROWS=>2, -COLS=>60 );

print p;
print table(
   Tr( 
       td(submit(-NAME=>'doit',-VALUE=>'Order')),
       td(submit(-NAME=>'doit',-VALUE=>'Finish')),
       td(reset() )
     )
);

print end_form();

print start_form(-ACTION=>'orderstatus.cgi');
print hidden(-NAME=>'id', -VALUE=>$id);
print submit(-VALUE=>'Review Order Status');
print end_form();

#if (param) {
#  print pre('DEBUG', param);
#  print pre('DEBUG', param('size'));
#  print pre('DEBUG', param('veg'));
#}

print end_html();
