#!/usr/bin/perl
# File: frameset.cgi

use CGI qw(:standard);
print header;

# We use extra path info to distinguish between calls to create:
# (1) the frameset, (2) the query form,  (3) the query response

$path_info = path_info; 
# If no path info is provided, then create side-by-side frameset
if (!$path_info) {
    print_frameset();
    exit 0;
}

# If we get here, then create either the query form the response.
print start_html("Frameset Example");
print_query()    if $path_info=~/query/;
print_response() if $path_info=~/response/;
print end_html;

sub print_frameset {    # Create the frameset
    $script_name = script_name;
    print <<EOF;
<html><head><title>Frameset Example</title></head>
<frameset cols="50,50">
<frame src="$script_name/query" name="query">
<frame src="$script_name/response" name="response">
</frameset>
</html>
EOF
    ;
}

sub print_query {
    $script_name = script_name;
    print h1("Frameset Query");

    ### Here is the line which points to the "response" frame
    print start_form(-ACTION=>"$script_name/response", -TARGET=>"response");
    print "What's your name? ",textfield('name');
    print p, "What's the combination?",
          checkbox_group('words', ['eenie','meenie','minie','moe']);

    print p, "What's your favorite color? ",
          popup_menu('color', ['red','green','blue','chartreuse']);
    print submit;
    print endform;
}

sub print_response {
    print h1("Frameset Result");
    print start_form;
    if (param) {
       print "Your name is <i>",param(name),"</i>\n";
       print "<P>The keywords are: <i>",join(", ",param(words)),"</i>";
       print "<P>Your favorite color is <i>",param(color),"</i>";
	 } else {
       print "<b>No query submitted yet.</b>";
    }
}
